<html>
    <head>
<style>
    .row {
        display:block;
        padding:5px;
    }
    .row label {
        display:block;
    }
    .row input {
        border:1px solid silver;
        padding:5px;
        border-radius: 3px;
        width:100%;
    }
    .row button {
        margin:auto;
        display:block;
    }
    .cnt {
        margin:5px;
        border:1px solid silver;
        background-color: #ceddef;
        border-radius: 3px;
        padding:5px;
    }
    .box {
        width:300px;
        margin:auto;
        position:relative;
    }

#modal-benvenuto {
    display:none;
}
#modal-blocco {
    display:none;
    position:absolute;
    height:100%;
    background-color: red;
}

body.benvenuto #modal-benvenuto {
    display: block;
}
body.benvenuto #modal-login {
    display: none;
}

body.blocco #modal-blocco {
    display:block;
    text-align:center;
    line-height:100%;
}

</style>
<script>
    function checkCredenziali() {
        let login = document.querySelector("#login");
        let passwd = document.querySelector("#passwd");
        if (login.value != 'admin') return false;
        if (passwd.value != 'root') return false;
        return true;
    }

    function accedi() {
        if (checkCredenziali()) {
            visualizzaBenvenuto();
        } else {
            visualizzaBlocco();
        }
    }
    
    function visualizzaBenvenuto() {
        document.querySelector('body').classList.add('benvenuto');
    }

    function visualizzaBlocco() {
        let body = document.querySelector('body');
        body.classList.add('blocco');
        setTimeout(()=>body.classList.remove('blocco'), 5000);
    }
</script>
    </head>
    <body class="">

        <div class="box" id="modal-login">
            <div class="box" id="modal-blocco">
                Credenziali non corrette
            </div>
            <div class="cnt">
                <div class="row">
                    <label>Login</label>
                    <input type="text" id="login"/>
                </div>
                <div class="row">
                    <label>Password</label>
                    <input type="password" id="passwd"/>
                </div>
                <div class="row">
                    <button onclick="accedi()">Accedi</button>
                </div>
            </div>
        </div>

        <div class="box" id="modal-benvenuto">
            <h3>Benvenuto Amministratore</h3>
        </div>

    </body>
</html>